# Package org.apache.catalina.loader

- Class Summary
  Class | Description
  --- | ---
  Constants |
  JdbcLeakPrevention | This class is loaded by `WebappClassLoaderBase` to enable it to deregister JDBC drivers forgotten by the web application.
  ParallelWebappClassLoader |
  ResourceEntry | Resource entry.
  WebappClassLoader |
  WebappClassLoaderBase | Specialized web application class loader.
  WebappClassLoaderBase.PrivilegedGetClassLoader |
  WebappLoader | Classloader implementation which is specialized for handling web applications in the most efficient way, while being Catalina aware (all accesses to resources are made through `WebResourceRoot`).

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.